libssh2-1_1.4.3-4.1+deb8u1_amd64.deb


Advertisement

Description

libssh2-1 - SSH2 client-side library

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libssh2-1
Package version: 1.4.3
Package release: 4.1+deb8u1
Package architecture: amd64
Package type: deb
Installed size: 229 B
Download size: 122.49 KB
Official Mirror: ftp.br.debian.org
libssh2 is a client-side C library implementing the SSH2 protocol. It supports regular terminal, SCP and SFTP (v1-v5) sessions; port forwarding, X11 forwarding; password, key-based and keyboard-interactive authentication. This package contains the runtime library.

Alternatives

    Download

    Source package: libssh2

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libssh2-1 deb package:
      # sudo apt-get install libssh2-1

    Files

    • /usr/lib/x86_64-linux-gnu/libssh2.so.1
    • /usr/lib/x86_64-linux-gnu/libssh2.so.1.0.1
    • /usr/share/doc/libssh2-1/AUTHORS
    • /usr/share/doc/libssh2-1/changelog.Debian.gz
    • /usr/share/doc/libssh2-1/changelog.gz
    • /usr/share/doc/libssh2-1/copyright

    Changelog

    2016-02-18 - Salvatore Bonaccorso <carnil@debian.org> libssh2 (1.4.3-4.1+deb8u1) jessie-security; urgency=high * Non-maintainer upload by the Security Team. * CVE-2016-0787: Truncated Difffie-Hellman secret length

    2015-03-11 - Salvatore Bonaccorso <carnil@debian.org> libssh2 (1.4.3-4.1) unstable; urgency=high * Non-maintainer upload by the Security Team. * Add 0003-CVE-2015-1782.patch. CVE-2015-1782: Using SSH_MSG_KEXINIT data unbounded. (Closes: #780249)

    2014-09-03 - Mikhail Gusarov <dottedmag@debian.org> libssh2 (1.4.3-4) unstable; urgency=low * Update description to mention SFTPv5 support (Closes: #671199). * Add -lgpg-error to .pc file to fix static linking against libgcrypt (Closes: #760359).

    2014-05-19 - Mikhail Gusarov <dottedmag@debian.org> libssh2 (1.4.3-3) unstable; urgency=low * Do not expose private libraries nor link flags to users of libssh2 (Closes: #747417). * Rebuild with libgcrypt20 (Closes: #744829). * Fix typos in manpages. * Bump Standards-Version, no changes required.

    2013-12-04 - Mikhail Gusarov <dottedmag@debian.org> libssh2 (1.4.3-2) unstable; urgency=medium * Make package multi-arch-aware (Closes: #731310). * Bump Standards-Version, no changes required.

    2013-05-21 - Mikhail Gusarov <dottedmag@debian.org> libssh2 (1.4.3-1) unstable; urgency=low * New upstream release. - Drop debian/patches/with-gcrypt.patch, applied upstream. * Incorporate 1.4.2-1.1 NMU by Dmitry. Thanks!

    2012-08-04 - Dmitry Smirnov <onlyjob@member.fsf.org> libssh2 (1.4.2-1.1) unstable; urgency=medium * Non-maintainer upload. * Added patch to fix pkg-config/libgcrypt dependency (Closes: #675785). * Install upstream ChangeLog (Closes: #675782). * debian/control: + libssh2-1-dev to depend on libgcrypt11-dev. + added Homepage field.

    2012-05-28 - Mikhail Gusarov <dottedmag@debian.org> libssh2 (1.4.2-1) unstable; urgency=low * New upstream release.

    2012-04-08 - Mikhail Gusarov <dottedmag@debian.org> libssh2 (1.4.1-1) unstable; urgency=low * New upstream release. - Drop debian/patches/undefined-libssh-error.patch, upstream.

    2012-03-19 - Mikhail Gusarov <dottedmag@debian.org> libssh2 (1.4.0-1) unstable; urgency=low * New upstream release. - Drop debian/patches/fix-version-in-pc.patch taken from git. - Drop debian/patches/mang-wrong-nf-macro.patch, applied upstream. - Update libssh2-1.symbols for new upstream release. - Add debian/patches/undefined-libssh-error.patch, necessary to facilitate compilation with GnuTLS. * Drop Conflicts/Replaces for packages no longer in archive. * Use dh(7) for packaging. * Use dh-autoreconf instead of manually stashing changed files and moving them back. * Do not run test 'mansyntax.sh', it requires specific locale to be available, and in general is a duplicate of lintian check. * Update debian/copyright to version 1.0 of machine-parseable format. * Enable multiarch, based on patch by Johannes Cloos (Closes: #663751). * Bump Standards-Version, no changes needed.

    Advertisement
    Advertisement